#include<bits/stdc++.h>
using namespace std;
#define max 100000
int main()
{
    ifstream fi("b_line.inp");
    ofstream fo("b_line.out");
    vector<int> p(max+1,0);
    int m,n,k;
    fi>>m>>n>>k;
    int a;
    fi>>a;
    int mx;
    mx=a;
    p[a]++;
    for(int i=2;i<=m*n;i++)
    {
        fi>>a;
        if(mx<a)
        {
            mx=a;
        }
        p[a]++;
    }
    int v[mx+1];
    int j=1;
    for(int i=1;i<=mx;i++)
    {
        if(p[i]>0)
        {
            v[j]=p[i];
            j++;
        }
    }
    int r=0;
    sort(v+1,v+j+1);
    for(int i=j;i>j-k;i--)
    {
        r+=v[i];
    }
    fo<<r;
}
